Package com.mckoi.database.global

## Interface BlobRef

All Superinterfaces:
  `BlobAccessor`, `Ref`

    public interface BlobRef
    extends BlobAccessor, Ref

A lightweight interface that is a reference to a blob in a BlobStore. This interface allows for data to be read and written to a blob. Writing to a blob may be restricted depending on the state setting of the blob.

Author:
  Tobias Downer

### Method Summary

### Methods inherited from interface com.mckoi.database.global.BlobAccessor

`getInputStream, length`

### Methods inherited from interface com.mckoi.database.global.Ref

`complete, getID, getRawSize, getType, read, write`